//#region ../../node_modules/d3-transition/src/transition/textTween.js
function e(e) {
	return function(t) {
		this.textContent = e.call(this, t);
	};
}
function t(t) {
	var n, r;
	function i() {
		var i = t.apply(this, arguments);
		return i !== r && (n = (r = i) && e(i)), n;
	}
	return i._value = t, i;
}
function n(e) {
	var n = "text";
	if (arguments.length < 1) return (n = this.tween(n)) && n._value;
	if (e == null) return this.tween(n, null);
	if (typeof e != "function") throw Error();
	return this.tween(n, t(e));
}
//#endregion
export { n as default };
